"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_stack_info_depth
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_stack_info_depth class methodsFor:'documentation'!

documentation
"
The `-stack-info-depth' Command
-------------------------------

Synopsis
........

      -stack-info-depth [ MAX-DEPTH ]

   Return the depth of the stack.  If the integer argument MAX-DEPTH is
specified, do not count beyond MAX-DEPTH frames.

{No value for `GDBN'} Command
.............................

There's no equivalent {No value for `GDBN'} command.

Example
.......

For a stack with frame levels 0 through 11:

     (gdb)
     -stack-info-depth
     ^done,depth='12'
     (gdb)
     -stack-info-depth 4
     ^done,depth='4'
     (gdb)
     -stack-info-depth 12
     ^done,depth='12'
     (gdb)
     -stack-info-depth 11
     ^done,depth='11'
     (gdb)
     -stack-info-depth 13
     ^done,depth='12'
     (gdb)


"
! !

!GDBMI_stack_info_depth methodsFor:'accessing'!

operation
	^ 'stack-info-depth'
! !

!GDBMI_stack_info_depth class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

